Index: src/readwind_ecmwf.f90
===================================================================
--- src/readwind_ecmwf.f90	(revision 92fab6545ef2a8e57cadc977df94b6b510318a1d)
+++ src/readwind_ecmwf.f90	(revision 553d0a7a965ecb49375132964016b146aa8ec3f6)
@@ -201,14 +201,15 @@
     elseif ((parCat.eq.0).and.(parNum.eq.6).and.(typSurf.eq.103)) then ! 2D
       isec1(6)=168         ! indicatorOfParameter
-    elseif ((parCat.eq.1).and.(parNum.eq.11).and.(typSurf.eq.1)) then ! SD
+    elseif ((parCat.eq.1).and.(parNum.eq.11).and.(typSurf.eq.1)) then ! SDE
       isec1(6)=141         ! indicatorOfParameter
-      conversion_factor=1000.
+      conversion_factor=0.1  ! convert snow depth to water equivalent
+    elseif ((parCat.eq.1).and.(parNum.eq.254).and.(typSurf.eq.1)) then ! SD
+      isec1(6)=141         ! indicatorOfParameter
     elseif ((parCat.eq.6).and.(parNum.eq.1) .or. parId .eq. 164) then ! CC
       isec1(6)=164         ! indicatorOfParameter
     elseif ((parCat.eq.1).and.(parNum.eq.9) .or. parId .eq. 142) then ! LSP
       isec1(6)=142         ! indicatorOfParameter
-    elseif ((parCat.eq.1).and.(parNum.eq.10)) then ! CP
+    elseif ((parCat.eq.1).and.(parNum.eq.10)) then ! ACPCP
       isec1(6)=143         ! indicatorOfParameter
-      conversion_factor=1000.
     elseif ((parCat.eq.0).and.(parNum.eq.11).and.(typSurf.eq.1)) then ! SHF
       isec1(6)=146         ! indicatorOfParameter
@@ -305,5 +306,5 @@
            zsec4(nxfield*(ny-j-1)+i+1)
       if(isec1(6).eq.141) sd(i,j,1,n)= &!! SNOW DEPTH
-           zsec4(nxfield*(ny-j-1)+i+1)/conversion_factor
+           zsec4(nxfield*(ny-j-1)+i+1)*conversion_factor
       if(isec1(6).eq.151) msl(i,j,1,n)= &!! SEA LEVEL PRESS.
            zsec4(nxfield*(ny-j-1)+i+1)
@@ -323,5 +324,5 @@
       endif
       if(isec1(6).eq.143) then                      !! CONVECTIVE PREC.
-        convprec(i,j,1,n)=zsec4(nxfield*(ny-j-1)+i+1)/conversion_factor
+        convprec(i,j,1,n)=zsec4(nxfield*(ny-j-1)+i+1)
         if (convprec(i,j,1,n).lt.0.) convprec(i,j,1,n)=0.
       endif
Index: src/readwind_ecmwf_mpi.f90
===================================================================
--- src/readwind_ecmwf_mpi.f90	(revision 92fab6545ef2a8e57cadc977df94b6b510318a1d)
+++ src/readwind_ecmwf_mpi.f90	(revision 553d0a7a965ecb49375132964016b146aa8ec3f6)
@@ -211,14 +211,15 @@
     elseif ((parCat.eq.0).and.(parNum.eq.6).and.(typSurf.eq.103)) then ! 2D
       isec1(6)=168         ! indicatorOfParameter
-    elseif ((parCat.eq.1).and.(parNum.eq.11).and.(typSurf.eq.1)) then ! SD
+    elseif ((parCat.eq.1).and.(parNum.eq.11).and.(typSurf.eq.1)) then ! SDE
       isec1(6)=141         ! indicatorOfParameter
-      conversion_factor=1000.
+      conversion_factor=0.1  ! convert snow depth to water equivalent
+    elseif ((parCat.eq.1).and.(parNum.eq.254).and.(typSurf.eq.1)) then ! SD
+      isec1(6)=141         ! indicatorOfParameter
     elseif ((parCat.eq.6).and.(parNum.eq.1) .or. parId .eq. 164) then ! CC
       isec1(6)=164         ! indicatorOfParameter
     elseif ((parCat.eq.1).and.(parNum.eq.9) .or. parId .eq. 142) then ! LSP
       isec1(6)=142         ! indicatorOfParameter
-    elseif ((parCat.eq.1).and.(parNum.eq.10)) then ! CP
+    elseif ((parCat.eq.1).and.(parNum.eq.10)) then ! ACPCP
       isec1(6)=143         ! indicatorOfParameter
-      conversion_factor=1000.
     elseif ((parCat.eq.0).and.(parNum.eq.11).and.(typSurf.eq.1)) then ! SHF
       isec1(6)=146         ! indicatorOfParameter
@@ -315,5 +316,5 @@
            zsec4(nxfield*(ny-j-1)+i+1)
       if(isec1(6).eq.141) sd(i,j,1,n)= &!! SNOW DEPTH
-           zsec4(nxfield*(ny-j-1)+i+1)/conversion_factor
+           zsec4(nxfield*(ny-j-1)+i+1)*conversion_factor
       if(isec1(6).eq.151) msl(i,j,1,n)= &!! SEA LEVEL PRESS.
            zsec4(nxfield*(ny-j-1)+i+1)
@@ -333,5 +334,5 @@
       endif
       if(isec1(6).eq.143) then                      !! CONVECTIVE PREC.
-        convprec(i,j,1,n)=zsec4(nxfield*(ny-j-1)+i+1)/conversion_factor
+        convprec(i,j,1,n)=zsec4(nxfield*(ny-j-1)+i+1)
         if (convprec(i,j,1,n).lt.0.) convprec(i,j,1,n)=0.
       endif