Index: Source/Fortran/Makefile.CRAY
===================================================================
--- Source/Fortran/Makefile.CRAY	(revision ba9923062b4af98cbdd20c4101c305766fc728f5)
+++ 	(revision )
@@ -1,57 +1,0 @@
-###############################################################################
-#
-# Top level Makefile for ECMWFDATA7.0 software
-#
-# Last modified:  December 1, 2015
-#
-###############################################################################
-
-
-.SUFFIXES: .o .c .c~ .f .f~ .F90 .f90 .f90~ .f95 .f95~ .F .F~ .y .y~ .l .l~ \
-           .s .s~ .sh .sh~ .h .h~ .C .C~ .a
-
-OPT	= 
-DEBUG	= -g
-LIB     =  $(GRIB_API_LIBS) $(EMOSLIB)
-
-FC=ftn  $(F90FLAGS)
-F90C=ftn    $(F90FLAGS)
-
-FFLAGS =  $(OPT) -I. -r8 -I$(GRIB_API_INCLUDE_DIR)
-F90FLAGS =  $(OPT) -I. -r8 -I$(GRIB_API_INCLUDE_DIR)
-
-LDFLAGS =  $(OPT)
-
-BINDIR  =      .
-
-EXE	=      CONVERT2
-
-
-.f.o:
-	$(F90C) -c $(F90FLAGS) $(DEBUG) $*.f
-.f90.o:
-	$(F90C) -c $(F90FLAGS) $(DEBUG) $*.f90
-
-all:	${EXE}
-
-clean:
-	rm *.o *.mod ${EXE}
-
-phgrreal.o: phgrreal.f
-	$(F90C) -c -g -O3 phgrreal.f
-
-grphreal.o: grphreal.f
-	$(F90C) -c -g -O3 grphreal.f
-
-ftrafo.o: ftrafo.f
-	$(F90C) -c -g -O3 ftrafo.f
-
-$(BINDIR)/${EXE}:	phgrreal.o grphreal.o ftrafo.o rwGRIB2.o  posnam.o preconvert.o
-	$(F90C) $(DEBUG) $(OPT) -o $(BINDIR)/${EXE} ftrafo.o phgrreal.o grphreal.o rwGRIB2.o posnam.o preconvert.o ${LIB}
-
-
-###############################################################################
-#
-# End of the Makefile
-#
-###############################################################################
Index: Source/Fortran/Makefile.gfortran
===================================================================
--- Source/Fortran/Makefile.gfortran	(revision ba9923062b4af98cbdd20c4101c305766fc728f5)
+++ 	(revision )
@@ -1,58 +1,0 @@
-###############################################################################
-#
-# Top level Makefile for ECMWFDATA7.0 software
-#
-# Last modified:  December 1, 2015
-#
-###############################################################################
-
-
-.SUFFIXES: .o .c .c~ .f .f~ .F90 .f90 .f90~ .f95 .f95~ .F .F~ .y .y~ .l .l~ \
-           .s .s~ .sh .sh~ .h .h~ .C .C~ .a
-
-OPT	= -O3
-DEBUG	= -g
-LIB     =  $(ECCODES_LIB) $(EMOSLIB)   
-
-FC=gfortran   -m64 -fdefault-real-8 -fcray-pointer -fno-second-underscore  -ffixed-line-length-132 -fopenmp  -fconvert=big-endian  
-F90C=gfortran   -m64 -fdefault-real-8 -fcray-pointer -fno-second-underscore  -ffixed-line-length-132 -fopenmp  -fconvert=big-endian 
-
-FFLAGS =  $(OPT) -I. -I$(ECCODES_INCLUDE_DIR) 
-
-F90FLAGS =  $(OPT) -I. -I$(ECCODES_INCLUDE_DIR)
-
-LDFLAGS =  $(OPT)
-
-BINDIR  =      .
-
-EXE	=      CONVERT2
-
-
-.f.o:
-	$(F90C) -c $(F90FLAGS) $(DEBUG) $*.f
-.f90.o:
-	$(F90C) -c $(F90FLAGS) $(DEBUG) $*.f90
-
-all:	${EXE}
-
-clean:
-	rm *.o *.mod ${EXE}
-
-phgrreal.o: phgrreal.f
-	$(F90C) -c -g -O3 -fopenmp phgrreal.f
-
-grphreal.o: grphreal.f
-	$(F90C) -c -g -O3 -fopenmp grphreal.f
-
-ftrafo.o: ftrafo.f
-	$(F90C) -c -g -O3 -fopenmp ftrafo.f
-
-$(BINDIR)/${EXE}:	phgrreal.o grphreal.o ftrafo.o rwGRIB2.o  posnam.o preconvert.o
-	$(F90C) $(DEBUG) $(OPT) -o $(BINDIR)/${EXE} ftrafo.o phgrreal.o grphreal.o rwGRIB2.o posnam.o preconvert.o ${LIB}
-
-
-###############################################################################
-#
-# End of the Makefile
-#
-###############################################################################
Index: Source/Fortran/Makefile.local.gfortran
===================================================================
--- Source/Fortran/Makefile.local.gfortran	(revision ba9923062b4af98cbdd20c4101c305766fc728f5)
+++ 	(revision )
@@ -1,63 +1,0 @@
-###############################################################################
-#
-# Top level Makefile for ECMWFDATA7.0 software
-#
-# Last modified:  December 1, 2015
-#
-###############################################################################
-
-
-.SUFFIXES: .o .c .c~ .f .f~ .F90 .f90 .f90~ .f95 .f95~ .F .F~ .y .y~ .l .l~ \
-           .s .s~ .sh .sh~ .h .h~ .C .C~ .a
-
-
-GRIB_API_INCLUDE_DIR=/usr/local/gcc-4.9.3/grib_api-1.14.3/include
-GRIB_API_LIB= -L/usr/local/gcc-4.9.3/grib_api-1.14.3/lib -Bstatic  -lgrib_api_f77 -lgrib_api_f90 -lgrib_api -Bdynamic  -lm  -ljasper
-
-EMOSLIB=-lemosR64
-
-OPT	= -O3 -fopenmp
-DEBUG	= -O3
-LIB     =  $(GRIB_API_LIB) $(EMOSLIB)
-
-FC=gfortran   -m64 -fdefault-real-8 -fcray-pointer -fno-second-underscore  -ffixed-line-length-132 -fopenmp  -fconvert=big-endian  
-F90C=gfortran   -m64 -fdefault-real-8 -fcray-pointer -fno-second-underscore  -ffixed-line-length-132 -fopenmp  -fconvert=big-endian 
-
-FFLAGS =  $(OPT) -I. -I$(GRIB_API_INCLUDE_DIR)
-F90FLAGS =  $(OPT) -I. -I$(GRIB_API_INCLUDE_DIR)
-
-LDFLAGS =  $(OPT)
-
-BINDIR  =      .
-
-EXE	=      CONVERT2
-
-
-.f.o:
-	$(F90C) -c $(F90FLAGS) $(DEBUG) $*.f
-.f90.o:
-	$(F90C) -c $(F90FLAGS) $(DEBUG) $*.f90
-
-all:	${EXE}
-
-clean:
-	rm *.o *.mod ${EXE}
-
-phgrreal.o: phgrreal.f
-	$(F90C) -c -g -O3 -fopenmp phgrreal.f
-
-grphreal.o: grphreal.f
-	$(F90C) -c -g -O3 -fopenmp grphreal.f
-
-ftrafo.o: ftrafo.f
-	$(F90C) -c -g -O3 -fopenmp ftrafo.f
-
-$(BINDIR)/${EXE}:	phgrreal.o grphreal.o ftrafo.o rwGRIB2.o  posnam.o preconvert.o
-	$(F90C) $(DEBUG) $(OPT) -o $(BINDIR)/${EXE} ftrafo.o phgrreal.o grphreal.o rwGRIB2.o posnam.o preconvert.o ${LIB}
-
-
-###############################################################################
-#
-# End of the Makefile
-#
-###############################################################################
Index: Source/Fortran/Makefile.local.ifort
===================================================================
--- Source/Fortran/Makefile.local.ifort	(revision ba9923062b4af98cbdd20c4101c305766fc728f5)
+++ 	(revision )
@@ -1,61 +1,0 @@
-###############################################################################
-#
-# Top level Makefile for ECMWFDATA7.0 software
-#
-# Last modified:  December 1, 2015
-#
-###############################################################################
-
-
-.SUFFIXES: .o .c .c~ .f .f~ .F90 .f90 .f90~ .f95 .f95~ .F .F~ .y .y~ .l .l~ \
-           .s .s~ .sh .sh~ .h .h~ .C .C~ .a
-
-GRIB_API_INCLUDE_DIR=/usr/local/include
-GRIB_API_LIB= -L/usr/local/lib -leccodes_f90  -leccodes -lm  -ljasper
-
-
-OPT	= -g -O3 -mcmodel=medium -unroll -inline -heap-arrays 32 
-DEBUG	= ''
-LIB     =  $(GRIB_API_LIB) -lemosR64 -lgfortran
-
-FC=/opt/intel/composerxe/bin/ifort -132  -traceback -r8
-F90C=/opt/intel/composerxe/bin/ifort -132  -traceback -r8
-
-FFLAGS =  $(OPT) -I. -I$(GRIB_API_INCLUDE_DIR)
-F90FLAGS =  $(OPT) -I. -I$(GRIB_API_INCLUDE_DIR)
-
-LDFLAGS =  $(OPT)
-
-BINDIR  =      .
-
-EXE	=      CONVERT2.s8.ifort
-
-
-.f.o:
-	$(F90C) -c $(F90FLAGS) -132 $(DEBUG) $*.f
-.f90.o:
-	$(F90C) -c $(F90FLAGS) -132 $(DEBUG) $*.f90
-
-all:	${EXE}
-
-clean:
-	rm *.o *.mod ${EXE}
-
-phgrreal.o: phgrreal.f
-	$(F90C) -c -g -O3 phgrreal.f
-
-grphreal.o: grphreal.f
-	$(F90C) -c -g -O3 grphreal.f
-
-ftrafo.o: ftrafo.f
-	$(F90C) -c -g -O3 ftrafo.f
-
-$(BINDIR)/${EXE}:	phgrreal.o grphreal.o ftrafo.o rwGRIB2.o  posnam.o preconvert.o
-	$(F90C) $(DEBUG) $(OPT) -o $(BINDIR)/${EXE} ftrafo.o phgrreal.o grphreal.o rwGRIB2.o posnam.o preconvert.o ${LIB}
-
-
-###############################################################################
-#
-# End of the Makefile
-#
-###############################################################################
Index: Source/Fortran/makefile.CRAY
===================================================================
--- Source/Fortran/makefile.CRAY	(revision None)
+++ Source/Fortran/makefile.CRAY	(revision None)
@@ -0,0 +1,57 @@
+###############################################################################
+#
+# Top level Makefile for ECMWFDATA7.0 software
+#
+# Last modified:  December 1, 2015
+#
+###############################################################################
+
+
+.SUFFIXES: .o .c .c~ .f .f~ .F90 .f90 .f90~ .f95 .f95~ .F .F~ .y .y~ .l .l~ \
+           .s .s~ .sh .sh~ .h .h~ .C .C~ .a
+
+OPT	= 
+DEBUG	= -g
+LIB     =  $(GRIB_API_LIBS) $(EMOSLIB)
+
+FC=ftn  $(F90FLAGS)
+F90C=ftn    $(F90FLAGS)
+
+FFLAGS =  $(OPT) -I. -r8 -I$(GRIB_API_INCLUDE_DIR)
+F90FLAGS =  $(OPT) -I. -r8 -I$(GRIB_API_INCLUDE_DIR)
+
+LDFLAGS =  $(OPT)
+
+BINDIR  =      .
+
+EXE	=      CONVERT2
+
+
+.f.o:
+	$(F90C) -c $(F90FLAGS) $(DEBUG) $*.f
+.f90.o:
+	$(F90C) -c $(F90FLAGS) $(DEBUG) $*.f90
+
+all:	${EXE}
+
+clean:
+	rm *.o *.mod ${EXE}
+
+phgrreal.o: phgrreal.f
+	$(F90C) -c -g -O3 phgrreal.f
+
+grphreal.o: grphreal.f
+	$(F90C) -c -g -O3 grphreal.f
+
+ftrafo.o: ftrafo.f
+	$(F90C) -c -g -O3 ftrafo.f
+
+$(BINDIR)/${EXE}:	phgrreal.o grphreal.o ftrafo.o rwGRIB2.o  posnam.o preconvert.o
+	$(F90C) $(DEBUG) $(OPT) -o $(BINDIR)/${EXE} ftrafo.o phgrreal.o grphreal.o rwGRIB2.o posnam.o preconvert.o ${LIB}
+
+
+###############################################################################
+#
+# End of the Makefile
+#
+###############################################################################
Index: Source/Fortran/makefile.ecgate
===================================================================
--- Source/Fortran/makefile.ecgate	(revision None)
+++ Source/Fortran/makefile.ecgate	(revision None)
@@ -0,0 +1,58 @@
+###############################################################################
+#
+# Top level Makefile for ECMWFDATA7.0 software
+#
+# Last modified:  December 1, 2015
+#
+###############################################################################
+
+
+.SUFFIXES: .o .c .c~ .f .f~ .F90 .f90 .f90~ .f95 .f95~ .F .F~ .y .y~ .l .l~ \
+           .s .s~ .sh .sh~ .h .h~ .C .C~ .a
+
+OPT	= -O3
+DEBUG	= -g
+LIB     =  $(ECCODES_LIB) $(EMOSLIB)   
+
+FC=gfortran   -m64 -fdefault-real-8 -fcray-pointer -fno-second-underscore  -ffixed-line-length-132 -fopenmp  -fconvert=big-endian  
+F90C=gfortran   -m64 -fdefault-real-8 -fcray-pointer -fno-second-underscore  -ffixed-line-length-132 -fopenmp  -fconvert=big-endian 
+
+FFLAGS =  $(OPT) -I. -I$(ECCODES_INCLUDE_DIR) 
+
+F90FLAGS =  $(OPT) -I. -I$(ECCODES_INCLUDE_DIR)
+
+LDFLAGS =  $(OPT)
+
+BINDIR  =      .
+
+EXE	=      CONVERT2
+
+
+.f.o:
+	$(F90C) -c $(F90FLAGS) $(DEBUG) $*.f
+.f90.o:
+	$(F90C) -c $(F90FLAGS) $(DEBUG) $*.f90
+
+all:	${EXE}
+
+clean:
+	rm *.o *.mod ${EXE}
+
+phgrreal.o: phgrreal.f
+	$(F90C) -c -g -O3 -fopenmp phgrreal.f
+
+grphreal.o: grphreal.f
+	$(F90C) -c -g -O3 -fopenmp grphreal.f
+
+ftrafo.o: ftrafo.f
+	$(F90C) -c -g -O3 -fopenmp ftrafo.f
+
+$(BINDIR)/${EXE}:	phgrreal.o grphreal.o ftrafo.o rwGRIB2.o  posnam.o preconvert.o
+	$(F90C) $(DEBUG) $(OPT) -o $(BINDIR)/${EXE} ftrafo.o phgrreal.o grphreal.o rwGRIB2.o posnam.o preconvert.o ${LIB}
+
+
+###############################################################################
+#
+# End of the Makefile
+#
+###############################################################################
Index: Source/Fortran/makefile.local.gfortran
===================================================================
--- Source/Fortran/makefile.local.gfortran	(revision None)
+++ Source/Fortran/makefile.local.gfortran	(revision None)
@@ -0,0 +1,63 @@
+###############################################################################
+#
+# Top level Makefile for ECMWFDATA7.0 software
+#
+# Last modified:  December 1, 2015
+#
+###############################################################################
+
+
+.SUFFIXES: .o .c .c~ .f .f~ .F90 .f90 .f90~ .f95 .f95~ .F .F~ .y .y~ .l .l~ \
+           .s .s~ .sh .sh~ .h .h~ .C .C~ .a
+
+
+GRIB_API_INCLUDE_DIR=/usr/local/gcc-4.9.3/grib_api-1.14.3/include
+GRIB_API_LIB= -L/usr/local/gcc-4.9.3/grib_api-1.14.3/lib -Bstatic  -lgrib_api_f77 -lgrib_api_f90 -lgrib_api -Bdynamic  -lm  -ljasper
+
+EMOSLIB=-lemosR64
+
+OPT	= -O3 -fopenmp
+DEBUG	= -O3
+LIB     =  $(GRIB_API_LIB) $(EMOSLIB)
+
+FC=gfortran   -m64 -fdefault-real-8 -fcray-pointer -fno-second-underscore  -ffixed-line-length-132 -fopenmp  -fconvert=big-endian  
+F90C=gfortran   -m64 -fdefault-real-8 -fcray-pointer -fno-second-underscore  -ffixed-line-length-132 -fopenmp  -fconvert=big-endian 
+
+FFLAGS =  $(OPT) -I. -I$(GRIB_API_INCLUDE_DIR)
+F90FLAGS =  $(OPT) -I. -I$(GRIB_API_INCLUDE_DIR)
+
+LDFLAGS =  $(OPT)
+
+BINDIR  =      .
+
+EXE	=      CONVERT2
+
+
+.f.o:
+	$(F90C) -c $(F90FLAGS) $(DEBUG) $*.f
+.f90.o:
+	$(F90C) -c $(F90FLAGS) $(DEBUG) $*.f90
+
+all:	${EXE}
+
+clean:
+	rm *.o *.mod ${EXE}
+
+phgrreal.o: phgrreal.f
+	$(F90C) -c -g -O3 -fopenmp phgrreal.f
+
+grphreal.o: grphreal.f
+	$(F90C) -c -g -O3 -fopenmp grphreal.f
+
+ftrafo.o: ftrafo.f
+	$(F90C) -c -g -O3 -fopenmp ftrafo.f
+
+$(BINDIR)/${EXE}:	phgrreal.o grphreal.o ftrafo.o rwGRIB2.o  posnam.o preconvert.o
+	$(F90C) $(DEBUG) $(OPT) -o $(BINDIR)/${EXE} ftrafo.o phgrreal.o grphreal.o rwGRIB2.o posnam.o preconvert.o ${LIB}
+
+
+###############################################################################
+#
+# End of the Makefile
+#
+###############################################################################
Index: Source/Fortran/makefile.local.ifort
===================================================================
--- Source/Fortran/makefile.local.ifort	(revision None)
+++ Source/Fortran/makefile.local.ifort	(revision None)
@@ -0,0 +1,61 @@
+###############################################################################
+#
+# Top level Makefile for ECMWFDATA7.0 software
+#
+# Last modified:  December 1, 2015
+#
+###############################################################################
+
+
+.SUFFIXES: .o .c .c~ .f .f~ .F90 .f90 .f90~ .f95 .f95~ .F .F~ .y .y~ .l .l~ \
+           .s .s~ .sh .sh~ .h .h~ .C .C~ .a
+
+GRIB_API_INCLUDE_DIR=/usr/local/include
+GRIB_API_LIB= -L/usr/local/lib -leccodes_f90  -leccodes -lm  -ljasper
+
+
+OPT	= -g -O3 -mcmodel=medium -unroll -inline -heap-arrays 32 
+DEBUG	= ''
+LIB     =  $(GRIB_API_LIB) -lemosR64 -lgfortran
+
+FC=/opt/intel/composerxe/bin/ifort -132  -traceback -r8
+F90C=/opt/intel/composerxe/bin/ifort -132  -traceback -r8
+
+FFLAGS =  $(OPT) -I. -I$(GRIB_API_INCLUDE_DIR)
+F90FLAGS =  $(OPT) -I. -I$(GRIB_API_INCLUDE_DIR)
+
+LDFLAGS =  $(OPT)
+
+BINDIR  =      .
+
+EXE	=      CONVERT2.s8.ifort
+
+
+.f.o:
+	$(F90C) -c $(F90FLAGS) -132 $(DEBUG) $*.f
+.f90.o:
+	$(F90C) -c $(F90FLAGS) -132 $(DEBUG) $*.f90
+
+all:	${EXE}
+
+clean:
+	rm *.o *.mod ${EXE}
+
+phgrreal.o: phgrreal.f
+	$(F90C) -c -g -O3 phgrreal.f
+
+grphreal.o: grphreal.f
+	$(F90C) -c -g -O3 grphreal.f
+
+ftrafo.o: ftrafo.f
+	$(F90C) -c -g -O3 ftrafo.f
+
+$(BINDIR)/${EXE}:	phgrreal.o grphreal.o ftrafo.o rwGRIB2.o  posnam.o preconvert.o
+	$(F90C) $(DEBUG) $(OPT) -o $(BINDIR)/${EXE} ftrafo.o phgrreal.o grphreal.o rwGRIB2.o posnam.o preconvert.o ${LIB}
+
+
+###############################################################################
+#
+# End of the Makefile
+#
+###############################################################################
Index: Source/Fortran/makefile_debug2
===================================================================
--- Source/Fortran/makefile_debug2	(revision 2d1c338814a949a88dd9f5b55ddec4efbd7b60e6)
+++ Source/Fortran/makefile_debug2	(revision 2d1c338814a949a88dd9f5b55ddec4efbd7b60e6)
@@ -0,0 +1,66 @@
+###############################################################################
+#
+# Makefile for flex_extract, Fortran code to calculate etadot
+#
+# Copyright: Leopold Haimberger, Petra Seibert
+# SPDX-License-Identifier: GPL-2.0 
+# 
+# Version for a machine with grib_api installed on standard paths
+# full debugging
+#
+###############################################################################
+
+
+GRIB_API_INCLUDE_DIR=/usr/include
+GRIB_API_LIB=  -Bstatic  -lgrib_api_f77 -lgrib_api_f90 -lgrib_api -Bdynamic  -lm  -ljasper
+EMOSLIB=-lemosR64
+
+LIB =  $(GRIB_API_LIB) $(EMOSLIB)
+
+F90 = gfortran -m64 -fdefault-real-8 -fcray-pointer -fno-second-underscore -ffixed-line-length-132 -fopenmp -fconvert=big-endian
+
+F90FLAGS =  -I. -I$(GRIB_API_INCLUDE_DIR)
+
+OPT = -g -fbacktrace -fbounds-check
+
+BINDIR   =  .
+EXE      =  calc_etadot_debug.out
+
+.f.o:
+	$(F90) -c $(F90FLAGS) $(OPT) $*.f
+.f90.o:
+	$(F90) -c $(F90FLAGS) $(OPT) $*.f90
+
+all:	${EXE}
+
+clean:
+	rm *.o *.mod #${EXE}
+
+preconvert.o: preconvert.f90
+	$(F90) -c $(OPT) $(F90FLAGS) preconvert.f90
+        
+phgrreal.o: phgrreal.f
+	$(F90) -c $(OPT)   phgrreal.f
+
+rwGRIB2.o: rwGRIB2.f90
+	$(F90) -c $(OPT) $(F90FLAGS)  rwGRIB2.f90
+
+grphreal.o: grphreal.f
+	$(F90) -c $(OPT)   grphreal.f
+
+ftrafo.o: ftrafo.f
+	$(F90) -c $(OPT)   ftrafo.f
+rpassm.o: rpassm.f
+	$(F90) -c $(OPT)   rpassm.f
+
+$(BINDIR)/${EXE}:	phgrreal.o grphreal.o ftrafo.o rwGRIB2.o  posnam.o preconvert.o rpassm.o
+
+	$(F90) $(OPT) -o $(BINDIR)/${EXE} ftrafo.o phgrreal.o grphreal.o rwGRIB2.o posnam.o preconvert.o rpassm.o ${LIB}
+
+
+###############################################################################
+#
+# End of the Makefile
+#
+###############################################################################
+